ATMEL: Data Fields

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- File List
- Globals

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Defines

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w

Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

### - m -

- main() : main.c
- MAN_INDEX : usb_descriptors.h
- Max : compiler.h
- MAX_DATA_PER_RECORD : host_dfu_task.h
- MAX_DEVICE_IN_USB_TREE : conf_usb.h
- MAX_EP_NB : usb_drv.h
- MAX_EP_PER_INTERFACE : usb_host_enum.h , conf_usb.h
- MAX_FILE_LENGHT : config.h , nav_utils.h
- MAX_INTERFACE_FOR_DEVICE : conf_usb.h
- MAX_LUN : ctrl_access.h
- MAX_POWER : usb_descriptors.h
- MEM_BSY : df.h
- MEM_KO : df.h
- mem_name() : ctrl_access.c , ctrl_access.h
- MEM_OK : df.h
- mem_read_capacity() : ctrl_access.c , ctrl_access.h
- mem_removal() : ctrl_access.c , ctrl_access.h
- mem_sector_size() : ctrl_access.c , ctrl_access.h
- mem_test_unit_ready() : ctrl_access.c , ctrl_access.h
- mem_wr_protect() : ctrl_access.c , ctrl_access.h
- memcmp_code() : memory.c , memory.h
- memcmp_code2ram : memory.h
- memcmp_ram2ram : memory.h
- memcpy_code2ram : memory.h
- memcpy_ram2ram : memory.h
- memory_2_ram() : ctrl_access.c , ctrl_access.h
- memory_2_usb() : ctrl_access.c , ctrl_access.h
- Min : compiler.h
- MOTOROLA_ALIGNMENT : compiler.h
- mouse_connected : host_mouse_task.c
- MOUSE_SPEED : config.h
- MS_CLASS : usb_commun_ms.h
- ms_data_direction : storage_task.c , scsi_decoder.c
- ms_multiple_drive : storage_task.c , usb_specific_request.c
- MS_PRO_CTRLBULKINT_COMP : usb_commun_ms.h
- MS_PRO_CTRLBULKINT_NOCOMP : usb_commun_ms.h
- MS_PROTOCOL : usb_commun_ms.h
- MS_PROTOCOL_BULK_ONLY : usb_commun_ms.h
- ms_str_ram : host_ms_task.c
- MS_SUB_CLASS1 : usb_commun_ms.h
- MS_SUB_CLASS2 : usb_commun_ms.h
- MS_SUB_CLASS3 : usb_commun_ms.h
- MS_SUB_CLASS4 : usb_commun_ms.h
- MS_SUB_CLASS5 : usb_commun_ms.h
- MS_SUB_CLASS6 : usb_commun_ms.h
- MSB : compiler.h
- MSB0 : compiler.h
- MSB1 : compiler.h
- MSB2 : compiler.h
- MSB3 : compiler.h
- msg_append_welcome : ushell_task.c
- MSG_APPEND_WELCOME : ushell_task.h
- MSG_BUS_POWERED : ushell_task.h
- msg_device_bus_powered : ushell_task.c
- msg_device_full_speed : ushell_task.c
- MSG_DEVICE_FULL_SPEED : ushell_task.h
- msg_device_low_speed : ushell_task.c
- MSG_DEVICE_LOW_SPEED : ushell_task.h
- msg_device_self_powered : ushell_task.c
- MSG_DISPLAY_NODELAY : usb_task.h
- msg_er_cmd_not_found : ushell_task.c
- MSG_ER_CMD_NOT_FOUND : ushell_task.h
- msg_er_drive : ushell_task.c
- MSG_ER_DRIVE : ushell_task.h
- msg_er_format : ushell_task.c
- MSG_ER_FORMAT : ushell_task.h
- msg_er_mount : ushell_task.c
- MSG_ER_MOUNT : ushell_task.h
- MSG_ER_PASTE : ushell_task.h
- msg_er_rm : ushell_task.c
- MSG_ER_RM : ushell_task.h
- msg_er_unknown_file : ushell_task.c
- MSG_ER_UNKNOWN_FILE : ushell_task.h
- msg_exit : ushell_task.c
- MSG_EXIT : ushell_task.h
- msg_help : ushell_task.c
- MSG_HELP : ushell_task.h
- msg_ko : ushell_task.c
- MSG_KO : ushell_task.h
- msg_no_device : ushell_task.c
- MSG_NO_DEVICE : ushell_task.h
- msg_ok : ushell_task.c
- MSG_OK : ushell_task.h
- msg_paste_fail : ushell_task.c
- msg_prompt : ushell_task.c
- MSG_PROMPT : ushell_task.h
- msg_remote_wake_up_ko : ushell_task.c
- msg_remote_wake_up_ok : ushell_task.c
- MSG_REMOTE_WAKEUP_KO : ushell_task.h
- MSG_REMOTE_WAKEUP_OK : ushell_task.h
- MSG_SELF_POWERED : ushell_task.h
- msg_usb_suspended : ushell_task.c
- MSG_USB_SUSPENDED : ushell_task.h
- MSG_WELCOME : ushell_task.h
- msg_welcome : ushell_task.c
- MSK_BYCTH : usb_drv.h
- MSK_BYCTL : usb_drv.h
- MSK_CURRBK : usb_drv.h
- MSK_DAT : usb_drv.h
- MSK_DTSEQ : usb_drv.h
- MSK_EP_DIR : usb_drv.h
- MSK_EPBK : usb_drv.h
- MSK_EPINT : usb_drv.h
- MSK_EPSIZE : usb_drv.h
- MSK_EPTYPE : usb_drv.h
- MSK_ERROR : usb_drv.h
- MSK_HADDR : usb_drv.h
- MSK_IDTE_VBUSTE : usb_drv.h
- MSK_NBUSYBK : usb_drv.h
- MSK_PBK : usb_drv.h
- MSK_PEPNUM : usb_drv.h
- MSK_PNUM : usb_drv.h
- MSK_PRST : usb_drv.h
- MSK_PSIZE : usb_drv.h
- MSK_PTOKEN : usb_drv.h
- MSK_PTYPE : usb_drv.h
- MSK_SPI_CPHA_LEADING : spi_drv.h
- MSK_SPI_CPHA_TRAILING : spi_drv.h
- MSK_SPI_CPOL_HIGH : spi_drv.h
- MSK_SPI_CPOL_LOW : spi_drv.h
- MSK_SPI_DIV128 : spi_drv.h
- MSK_SPI_DIV16 : spi_drv.h
- MSK_SPI_DIV4 : spi_drv.h
- MSK_SPI_DIV64 : spi_drv.h
- MSK_SPI_MODE : spi_drv.h
- MSK_SPI_MULT2 : spi_drv.h
- MSK_SPR : spi_drv.h
- MSK_TOKEN_IN : usb_drv.h
- MSK_TOKEN_OUT : usb_drv.h
- MSK_TOKEN_SETUP : usb_drv.h
- MSK_UADD : usb_drv.h
- MSK_UART_5BIT : uart_drv.h
- MSK_UART_6BIT : uart_drv.h
- MSK_UART_7BIT : uart_drv.h
- MSK_UART_8BIT : uart_drv.h
- MSK_UART_9BIT : uart_drv.h
- MSK_UART_DRE : uart_drv.h
- MSK_UART_ENABLE_IT_RX : uart_drv.h
- MSK_UART_ENABLE_IT_TX : uart_drv.h
- MSK_UART_ENABLE_RX : uart_drv.h
- MSK_UART_ENABLE_TX : uart_drv.h
- MSK_UART_RX_BIT9 : uart_drv.h
- MSK_UART_RX_DONE : uart_drv.h
- MSK_UART_TX_BIT9 : uart_drv.h
- MSK_UART_TX_COMPLET : uart_drv.h
- MSW : compiler.h
- mystrncmp() : ushell_task.c